<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__capsense__gesture__lib_8h" kind="file" language="C++">
    <compoundname>cy_capsense_gesture_lib.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includedby local="yes" refid="cy__capsense__structure_8h">cy_capsense_structure.h</includedby>
    <includedby local="yes" refid="cy__capsense_8h">cy_capsense.h</includedby>
    <incdepgraph>
      <node id="58">
        <label>stdint.h</label>
      </node>
      <node id="57">
        <label>cy_capsense_gesture_lib.h</label>
        <link refid="cy__capsense__gesture__lib_8h" />
        <childnode refid="58" relation="include">
        </childnode>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcy__stc__capsense__gesture__config__t">cy_stc_capsense_gesture_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__ofsc__context__t">cy_stc_capsense_ofsc_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__ofdc__context__t">cy_stc_capsense_ofdc_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__ofcd__context__t">cy_stc_capsense_ofcd_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__tfsc__context__t">cy_stc_capsense_tfsc_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__ofsl__context__t">cy_stc_capsense_ofsl_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__tfsl__context__t">cy_stc_capsense_tfsl_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__offl__context__t">cy_stc_capsense_offl_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__ofes__context__t">cy_stc_capsense_ofes_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__tfzm__context__t">cy_stc_capsense_tfzm_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__ofrt__context__t">cy_stc_capsense_ofrt_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__gesture__context__t">cy_stc_capsense_gesture_context_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="group__group__capsense__macros__gesture_1ga438d3109bdaa4dd9bd2a5653c37322f5" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_NO_GESTURE</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>No gesture detected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="262" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="262" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gae743ee30b6856ba519a9f7b3f34cf31b" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_ALL_GESTURES_MASK</name>
        <initializer>(0x03FFu)</initializer>
        <briefdescription>
<para>All gestures enable / detection mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="264" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="264" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga6e09d43f87ae1109ab212ea0858188af" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_FILTERING_MASK</name>
        <initializer>(0x8000u)</initializer>
        <briefdescription>
<para>Gesture enable filtering mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="266" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="266" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga5a23b048578a45a756b6518d4d73b3eb" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_TOUCHDOWN_MASK</name>
        <initializer>(0x2000u)</initializer>
        <briefdescription>
<para>Detection mask of Touchdown. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="268" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="268" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gaf63cf60202ba76967617fe828214e71f" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_LIFTOFF_MASK</name>
        <initializer>(0x4000u)</initializer>
        <briefdescription>
<para>Detection mask of Lift Off. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="270" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="270" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gabb930ce91e2bcc9d2e6d991c1856618b" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_ONE_FNGR_SINGLE_CLICK_MASK</name>
        <initializer>(0x0001u)</initializer>
        <briefdescription>
<para>Enable / detection mask of one-finger single click gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="273" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="273" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga8b8acd72bf319f96f240c392dad2e271" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_ONE_FNGR_DOUBLE_CLICK_MASK</name>
        <initializer>(0x0002u)</initializer>
        <briefdescription>
<para>Enable / detection mask of one-finger double click gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="275" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="275" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga5d12f58b57629498afae2edca0a7749a" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_ONE_FNGR_CLICK_DRAG_MASK</name>
        <initializer>(0x0004u)</initializer>
        <briefdescription>
<para>Enable / detection mask of one-finger click and drag gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="277" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="277" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gab1a077e5bf17f502792846cb52e2bcaf" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_TWO_FNGR_SINGLE_CLICK_MASK</name>
        <initializer>(0x0008u)</initializer>
        <briefdescription>
<para>Enable / detection mask of two-finger single click gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="279" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="279" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga8d5527833a1082b48a13f883a015cc1e" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_ONE_FNGR_SCROLL_MASK</name>
        <initializer>(0x0010u)</initializer>
        <briefdescription>
<para>Enable / detection mask of one-finger scroll gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="281" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="281" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gae8a61309c25e5255fa4a46436384184d" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_TWO_FNGR_SCROLL_MASK</name>
        <initializer>(0x0020u)</initializer>
        <briefdescription>
<para>Enable / detection mask of two-finger scroll gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="283" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="283" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga76d9372238319112efa57dd749a08485" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_ONE_FNGR_EDGE_SWIPE_MASK</name>
        <initializer>(0x0040u)</initializer>
        <briefdescription>
<para>Enable / detection mask of one-finger edge swipe gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="285" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="285" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga2ebcf1c878564dc6badc69097041ca9a" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_ONE_FNGR_FLICK_MASK</name>
        <initializer>(0x0080u)</initializer>
        <briefdescription>
<para>Enable / detection mask of one-finger flick gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="287" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="287" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga8f2f7a9121b4ada5241dd7a14250a0a2" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_ONE_FNGR_ROTATE_MASK</name>
        <initializer>(0x0100u)</initializer>
        <briefdescription>
<para>Enable / detection mask of one-finger rotate gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="289" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="289" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gaa1d831e7dccc101ca4fc6956356cfc09" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_TWO_FNGR_ZOOM_MASK</name>
        <initializer>(0x0200u)</initializer>
        <briefdescription>
<para>Enable / detection mask of two-finger zoom gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="291" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="291" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga577bb1c6645e656fb8a35944559afde8" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_ONE_SCROLL</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>Offset of direction of one-finger scroll gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="295" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="295" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gab65415405b4a5a8e2dcd432aeba8dad5" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_TWO_SCROLL</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>Offset of direction of two-finger scroll gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="297" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="297" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga930273b6f56453073e1ca8ff2abf94c7" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_ONE_EDGE</name>
        <initializer>(0x04u)</initializer>
        <briefdescription>
<para>Offset of direction of one-finger edge swipe gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="299" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="299" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga997e1d9c53001a4bbfd497c22bf06012" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_ONE_ROTATE</name>
        <initializer>(0x06u)</initializer>
        <briefdescription>
<para>Offset of direction of one-finger rotate gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="301" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="301" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga7fbcbb9c6b55c782a9f57d94313151e9" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_TWO_ZOOM</name>
        <initializer>(0x07u)</initializer>
        <briefdescription>
<para>Offset of direction of two-finger zoom gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="303" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="303" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga957894ea4d5b38e5f61291ed92dbc993" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_ONE_FLICK</name>
        <initializer>(0x08u)</initializer>
        <briefdescription>
<para>Offset of direction of one-finger flick gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="305" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="305" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gaa6067a4de589e0aee0521dea75bad3b4" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_MASK_ONE_SCROLL</name>
        <initializer>(0x0003u)</initializer>
        <briefdescription>
<para>Mask of direction of one-finger scroll gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="309" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="309" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga2b1afba16625a4f234e167a4580f28af" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_MASK_TWO_SCROLL</name>
        <initializer>(0x000Cu)</initializer>
        <briefdescription>
<para>Mask of direction of two-finger scroll gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="311" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="311" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga1e23456181eb829ba8671162cb8c77cc" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_MASK_ONE_EDGE</name>
        <initializer>(0x0030u)</initializer>
        <briefdescription>
<para>Mask of direction of one-finger edge swipe gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="313" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="313" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga348a3958783fd42ce6e7a49f2f41110f" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_MASK_ONE_ROTATE</name>
        <initializer>(0x0040u)</initializer>
        <briefdescription>
<para>Mask of direction of one-finger rotate gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="315" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="315" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga51290cccf90066ccf5bba33c8757c296" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_MASK_TWO_ZOOM</name>
        <initializer>(0x0080u)</initializer>
        <briefdescription>
<para>Mask of direction of two-finger zoom gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="317" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="317" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga90ffefd07036a54158518aa02a267899" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_MASK_ONE_FLICK</name>
        <initializer>(0x0700u)</initializer>
        <briefdescription>
<para>Mask of direction of one-finger flick gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="319" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="319" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga3bfd7aa90e3ef1bf3c124c90ec9c2e13" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_OFFSET</name>
        <initializer>(16u)</initializer>
        <briefdescription>
<para>An extra direction offset returned by <ref kindref="member" refid="group__group__capsense__high__level_1ga55fa694191705971b3aa2c29021fb9aa">Cy_CapSense_DecodeWidgetGestures()</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="322" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="322" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga832fa742b151f0e3935f2a64fd6bf248" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_CW</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>CLOCKWISE direction of Rotate gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="326" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="326" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga84ed896903d3820f5493af6b5f2f9dc5" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_CCW</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
<para>COUNTER CLOCKWISE direction of Rotate gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="328" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="328" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga27d0457e0715a7e74d4224a058897431" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_IN</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>ZOOM-IN direction of Zoom gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="331" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="331" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gae8f20752c3e95fdb7b9c7f37cce1a646" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_OUT</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
<para>ZOOM-OUT direction of Zoom gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="333" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="333" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gad81547dd95beb218449d8d209d6f2d90" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_UP</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>UP direction of Scroll, Flick and Edge Swipe gestures. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="336" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="336" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gac6a805800ada8e6f499d063f45fb8ba8" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_DOWN</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
<para>DOWN direction of Scroll, Flick and Edge Swipe gestures. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="338" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="338" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gabeb98d13bdc3570bca825b5a5d4a4ae0" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_RIGHT</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>RIGHT direction of Scroll, Flick and Edge Swipe gestures. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="340" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="340" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga5660ae39ff90e08e33a71508d3059817" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_LEFT</name>
        <initializer>(0x03u)</initializer>
        <briefdescription>
<para>LEFT direction of Scroll, Flick and Edge Swipe gestures. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="342" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="342" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga668fe831e9baa65d0953b1b3c7ac1158" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_UP_RIGHT</name>
        <initializer>(0x04u)</initializer>
        <briefdescription>
<para>UP-RIGHT direction of Flick gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="344" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="344" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga2fd34853dba3ebb589cff0809f439a05" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_DOWN_LEFT</name>
        <initializer>(0x05u)</initializer>
        <briefdescription>
<para>DOWN-LEFT direction of Flick gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="346" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="346" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga77e3a9bb62112a9c735527b339f60069" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_DOWN_RIGHT</name>
        <initializer>(0x06u)</initializer>
        <briefdescription>
<para>DOWN-RIGHT direction of Flick gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="348" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="348" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gab12489738763fb5ace85ba3fffe3b127" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_UP_LEFT</name>
        <initializer>(0x07u)</initializer>
        <briefdescription>
<para>UP-LEFT direction of Flick gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="350" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="350" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides the gesture interface. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>3.0</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2018-2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="17"><highlight class="preprocessor">#ifndef<sp />CY_CAPSENSE_GESTURE_LIB_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_LIB_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(defined(CY_IP_MXCSDV2)<sp />||<sp />defined(CY_IP_M0S8CSDV2)<sp />||<sp />defined(CY_IP_M0S8MSCV3))</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="31"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="34" refid="structcy__stc__capsense__gesture__config__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal">{</highlight></codeline>
<codeline lineno="36"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Common<sp />parameters<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />resolutionX;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="38"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />resolutionY;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="40"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enabled<sp />gesture<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />gestureEnableMask;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="43"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Timeout<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />flickTimeoutMax;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="45"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />edgeTimeoutMax;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="46"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />clickTimeoutMax;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="47"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />clickTimeoutMin;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="48"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />secondClickIntervalMax;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="49"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />secondClickIntervalMin;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="51"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Distance<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />zoomDistanceMin;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="53"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />flickDistanceMin;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="54"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />scrollDistanceMin;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />rotateDistanceMin;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />edgeDistanceMin;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />secondClickDistanceMax;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />clickDistanceMax;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Debounce<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />zoomDebounce;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />scrollDebounce;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />rotateDebounce;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Edge<sp />Swipe<sp />Specific<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />edgeAngleMax;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />edgeEdgeSize;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="68"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__config__t">cy_stc_capsense_gesture_config_t</ref>;</highlight></codeline>
<codeline lineno="69"><highlight class="normal" /></codeline>
<codeline lineno="71" refid="structcy__stc__capsense__gesture__position__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal">{</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />x;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />y;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="75"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref>;</highlight></codeline>
<codeline lineno="76"><highlight class="normal" /></codeline>
<codeline lineno="78" refid="structcy__stc__capsense__ofsc__context__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal">{</highlight></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />touchStartTime1;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />touchStartPosition1;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />state;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="83"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__ofsc__context__t">cy_stc_capsense_ofsc_context_t</ref>;</highlight></codeline>
<codeline lineno="84"><highlight class="normal" /></codeline>
<codeline lineno="86" refid="structcy__stc__capsense__ofdc__context__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal">{</highlight></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />touchStartTime1;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />touchStartPosition1;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="90"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />state;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="91"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__ofdc__context__t">cy_stc_capsense_ofdc_context_t</ref>;</highlight></codeline>
<codeline lineno="92"><highlight class="normal" /></codeline>
<codeline lineno="94" refid="structcy__stc__capsense__ofcd__context__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal">{</highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />touchStartTime1;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="97"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />touchStartPosition1;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />state;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="99"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__ofcd__context__t">cy_stc_capsense_ofcd_context_t</ref>;</highlight></codeline>
<codeline lineno="100"><highlight class="normal" /></codeline>
<codeline lineno="102" refid="structcy__stc__capsense__tfsc__context__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal">{</highlight></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />touchStartTime1;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />touchStartTime2;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />touchStartPosition1;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="107"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />touchStartPosition2;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />state;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="109"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__tfsc__context__t">cy_stc_capsense_tfsc_context_t</ref>;</highlight></codeline>
<codeline lineno="110"><highlight class="normal" /></codeline>
<codeline lineno="112" refid="structcy__stc__capsense__ofsl__context__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal">{</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />touchStartPosition1;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />state;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />debounce;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />direction;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="118"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__ofsl__context__t">cy_stc_capsense_ofsl_context_t</ref>;</highlight></codeline>
<codeline lineno="119"><highlight class="normal" /></codeline>
<codeline lineno="121" refid="structcy__stc__capsense__tfsl__context__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal">{</highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />touchStartPosition1;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />touchStartPosition2;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />state;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />debounce;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />direction;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="128"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__tfsl__context__t">cy_stc_capsense_tfsl_context_t</ref>;</highlight></codeline>
<codeline lineno="129"><highlight class="normal" /></codeline>
<codeline lineno="131" refid="structcy__stc__capsense__offl__context__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal">{</highlight></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />touchStartTime1;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="134"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />touchStartPosition1;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />state;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="136"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__offl__context__t">cy_stc_capsense_offl_context_t</ref>;</highlight></codeline>
<codeline lineno="137"><highlight class="normal" /></codeline>
<codeline lineno="139" refid="structcy__stc__capsense__ofes__context__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal">{</highlight></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />touchStartTime1;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />touchStartPosition1;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />state;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />edge;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="145"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__ofes__context__t">cy_stc_capsense_ofes_context_t</ref>;</highlight></codeline>
<codeline lineno="146"><highlight class="normal" /></codeline>
<codeline lineno="148" refid="structcy__stc__capsense__tfzm__context__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal">{</highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />touchStartPosition1;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />touchStartPosition2;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />distanceX;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />distanceY;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />state;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />debounce;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="156"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__tfzm__context__t">cy_stc_capsense_tfzm_context_t</ref>;</highlight></codeline>
<codeline lineno="157"><highlight class="normal" /></codeline>
<codeline lineno="159" refid="structcy__stc__capsense__ofrt__context__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="normal">{</highlight></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />touchStartPosition1;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />state;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />history;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />debounce;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="165"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__ofrt__context__t">cy_stc_capsense_ofrt_context_t</ref>;</highlight></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="168" refid="structcy__stc__capsense__gesture__context__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal">{</highlight></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />position1;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />positionLast1;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />position2;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />positionLast2;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />timestamp;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="176"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />detected;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />direction;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="179"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__ofrt__context__t">cy_stc_capsense_ofrt_context_t</ref><sp />ofrtContext;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="180"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__ofsl__context__t">cy_stc_capsense_ofsl_context_t</ref><sp />ofslContext;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="181"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__tfzm__context__t">cy_stc_capsense_tfzm_context_t</ref><sp />tfzmContext;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="182"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__tfsc__context__t">cy_stc_capsense_tfsc_context_t</ref><sp />tfscContext;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__ofes__context__t">cy_stc_capsense_ofes_context_t</ref><sp />ofesContext;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="184"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__offl__context__t">cy_stc_capsense_offl_context_t</ref><sp />offlContext;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="185"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__ofsc__context__t">cy_stc_capsense_ofsc_context_t</ref><sp />ofscContext;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__ofdc__context__t">cy_stc_capsense_ofdc_context_t</ref><sp />ofdcContext;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="187"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__ofcd__context__t">cy_stc_capsense_ofcd_context_t</ref><sp />ofcdContext;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="188"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__tfsl__context__t">cy_stc_capsense_tfsl_context_t</ref><sp />tfslContext;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />numPosition;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="191"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />numPositionLast;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="192"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__context__t">cy_stc_capsense_gesture_context_t</ref>;</highlight></codeline>
<codeline lineno="193"><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="198"><highlight class="comment">*<sp />Function<sp />Prototypes</highlight></codeline>
<codeline lineno="199"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="200"><highlight class="normal" /></codeline>
<codeline lineno="201"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="204"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="205"><highlight class="normal" /></codeline>
<codeline lineno="206"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="207"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_CapSense_Gesture_ResetState</highlight></codeline>
<codeline lineno="208"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="217"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_Gesture_ResetState(</highlight></codeline>
<codeline lineno="218"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__context__t">cy_stc_capsense_gesture_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="219"><highlight class="normal" /></codeline>
<codeline lineno="220"><highlight class="normal" /></codeline>
<codeline lineno="221"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="222"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_CapSense_Gesture_Decode</highlight></codeline>
<codeline lineno="223"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="245"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_Gesture_Decode(</highlight></codeline>
<codeline lineno="246"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />timestamp,</highlight></codeline>
<codeline lineno="247"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />touchNumber,</highlight></codeline>
<codeline lineno="248"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref><sp />*<sp />position,</highlight></codeline>
<codeline lineno="249"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__config__t">cy_stc_capsense_gesture_config_t</ref><sp />*<sp />config,</highlight></codeline>
<codeline lineno="250"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__gesture__context__t">cy_stc_capsense_gesture_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="253"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="254"><highlight class="comment">*<sp />Macros</highlight></codeline>
<codeline lineno="255"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="256"><highlight class="normal" /></codeline>
<codeline lineno="257"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="259"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="260"><highlight class="normal" /><highlight class="comment">/*<sp />Enable<sp />and<sp />Detection<sp />*/</highlight></codeline>
<codeline lineno="262"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_NO_GESTURE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x00u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="263"><highlight class="normal" /></codeline>
<codeline lineno="264"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_ALL_GESTURES_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x03FFu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="265"><highlight class="normal" /></codeline>
<codeline lineno="266"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_FILTERING_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x8000u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="267"><highlight class="normal" /></codeline>
<codeline lineno="268"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_TOUCHDOWN_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x2000u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="269"><highlight class="normal" /></codeline>
<codeline lineno="270"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_LIFTOFF_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x4000u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="271"><highlight class="normal" /></codeline>
<codeline lineno="273"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_ONE_FNGR_SINGLE_CLICK_MASK<sp /><sp /><sp /><sp /><sp /><sp />(0x0001u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="274"><highlight class="normal" /></codeline>
<codeline lineno="275"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_ONE_FNGR_DOUBLE_CLICK_MASK<sp /><sp /><sp /><sp /><sp /><sp />(0x0002u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="276"><highlight class="normal" /></codeline>
<codeline lineno="277"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_ONE_FNGR_CLICK_DRAG_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0004u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="278"><highlight class="normal" /></codeline>
<codeline lineno="279"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_TWO_FNGR_SINGLE_CLICK_MASK<sp /><sp /><sp /><sp /><sp /><sp />(0x0008u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="280"><highlight class="normal" /></codeline>
<codeline lineno="281"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_ONE_FNGR_SCROLL_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0010u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="282"><highlight class="normal" /></codeline>
<codeline lineno="283"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_TWO_FNGR_SCROLL_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0020u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="284"><highlight class="normal" /></codeline>
<codeline lineno="285"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_ONE_FNGR_EDGE_SWIPE_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0040u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="286"><highlight class="normal" /></codeline>
<codeline lineno="287"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_ONE_FNGR_FLICK_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0080u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="288"><highlight class="normal" /></codeline>
<codeline lineno="289"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_ONE_FNGR_ROTATE_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0100u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="290"><highlight class="normal" /></codeline>
<codeline lineno="291"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_TWO_FNGR_ZOOM_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0200u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="292"><highlight class="normal" /></codeline>
<codeline lineno="293"><highlight class="normal" /><highlight class="comment">/*<sp />Direction<sp />Offsets<sp />*/</highlight></codeline>
<codeline lineno="295"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_ONE_SCROLL<sp /><sp /><sp /><sp /><sp />(0x00u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="296"><highlight class="normal" /></codeline>
<codeline lineno="297"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_TWO_SCROLL<sp /><sp /><sp /><sp /><sp />(0x02u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="298"><highlight class="normal" /></codeline>
<codeline lineno="299"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_ONE_EDGE<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x04u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="300"><highlight class="normal" /></codeline>
<codeline lineno="301"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_ONE_ROTATE<sp /><sp /><sp /><sp /><sp />(0x06u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="302"><highlight class="normal" /></codeline>
<codeline lineno="303"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_TWO_ZOOM<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x07u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="304"><highlight class="normal" /></codeline>
<codeline lineno="305"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_ONE_FLICK<sp /><sp /><sp /><sp /><sp /><sp />(0x08u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="306"><highlight class="normal" /></codeline>
<codeline lineno="307"><highlight class="normal" /><highlight class="comment">/*<sp />Direction<sp />Masks<sp />*/</highlight></codeline>
<codeline lineno="309"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_MASK_ONE_SCROLL<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0003u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="310"><highlight class="normal" /></codeline>
<codeline lineno="311"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_MASK_TWO_SCROLL<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x000Cu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="312"><highlight class="normal" /></codeline>
<codeline lineno="313"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_MASK_ONE_EDGE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0030u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="314"><highlight class="normal" /></codeline>
<codeline lineno="315"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_MASK_ONE_ROTATE<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0040u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="316"><highlight class="normal" /></codeline>
<codeline lineno="317"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_MASK_TWO_ZOOM<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0080u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="318"><highlight class="normal" /></codeline>
<codeline lineno="319"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_MASK_ONE_FLICK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0700u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="320"><highlight class="normal" /></codeline>
<codeline lineno="322"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_OFFSET<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(16u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="323"><highlight class="normal" /></codeline>
<codeline lineno="324"><highlight class="normal" /><highlight class="comment">/*<sp />Direction<sp />*/</highlight></codeline>
<codeline lineno="326"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_CW<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x00u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="327"><highlight class="normal" /></codeline>
<codeline lineno="328"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_CCW<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="329"><highlight class="normal" /></codeline>
<codeline lineno="331"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_IN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x00u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="332"><highlight class="normal" /></codeline>
<codeline lineno="333"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_OUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="334"><highlight class="normal" /></codeline>
<codeline lineno="336"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_UP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x00u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="337"><highlight class="normal" /></codeline>
<codeline lineno="338"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_DOWN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="339"><highlight class="normal" /></codeline>
<codeline lineno="340"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_RIGHT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x02u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="341"><highlight class="normal" /></codeline>
<codeline lineno="342"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_LEFT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x03u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="343"><highlight class="normal" /></codeline>
<codeline lineno="344"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_UP_RIGHT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x04u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="345"><highlight class="normal" /></codeline>
<codeline lineno="346"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_DOWN_LEFT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x05u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="347"><highlight class="normal" /></codeline>
<codeline lineno="348"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_DOWN_RIGHT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x06u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="349"><highlight class="normal" /></codeline>
<codeline lineno="350"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_GESTURE_DIRECTION_UP_LEFT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x07u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="351"><highlight class="normal" /></codeline>
<codeline lineno="354"><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="355"><highlight class="normal">}</highlight></codeline>
<codeline lineno="356"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="357"><highlight class="normal" /></codeline>
<codeline lineno="358"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />(defined(CY_IP_MXCSDV2)<sp />||<sp />defined(CY_IP_M0S8CSDV2)<sp />||<sp />defined(CY_IP_M0S8MSCV3))<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="359"><highlight class="normal" /></codeline>
<codeline lineno="360"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_CAPSENSE_GESTURE_LIB_H<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="361"><highlight class="normal" /></codeline>
<codeline lineno="362"><highlight class="normal" /></codeline>
<codeline lineno="363"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" />
  </compounddef>
</doxygen>